#
#  APRS4R - a ruby based aprs gateway/digipeater
#  Copyright (C) 2008 by Rolf Tschumi <hb9sdb@hb9gl.ch>
#
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 2 of the License, or
#  (at your option) any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software
#  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA
#

require 'aprs4r/PluginConfiguration'


module APRS4R

  class SysopPluginConfiguration < PluginConfiguration

    attr_reader :device, :call, :sysops, :password
    attr_writer :device, :call, :sysops, :password

    def to_yaml_properties
      return super + %w{@device @call @sysops @pw}
    end


    def attributes
      
      attributes = [ 
                    ConfigurationAttribute.new( "device",   "text",  true, 10, "rf0", "Schnittstelle"),
                    ConfigurationAttribute.new( "call",     "text",  true, 10, "MYCALL",   "Rufzeichen"),
                    ConfigurationAttribute.new( "sysops",   "array", true, 20, [], "Administratorenliste"),
                    ConfigurationAttribute.new( "password", "text",  true, 10, "", "Administrationskennwort")
                   ]

      return super + attributes
    end
    
  end

end
